API referenceConnections
Connect your account to an MCP server with a pasted token
PUT
For a server that takes a pasted token (one that connects with OAuth answers 400). The token is kept in the secret store and never shown again.
bearerheader
AuthorizationBearer <token>An API token
server*stringA per-person MCP server
application/json- body
token*stringConnected
application/json- response
ok*unknowncurl -X PUT 'http://127.0.0.1:7777/connections/mcp/linear' \ -H 'Content-Type: application/json' \ -d '{ "token": "lin_api_…"}'Example Response
{ "ok": true}